Create or update a "Recipients" node
1 min
POST
https://api.campaign.episerver.net/rest/{clientId}/confirmations/{confirmationMailId}/recipientLists
clientIdstringClient ID
confirmationMailIdinteger<int64>Confirmation mailing ID
acceptstringGenerated from available response content types
recipientListIdsarray<p>Comma-separated list of recipient list IDs</p>
successorNodeIdstringSuccessor node
200The "Recipient" node was updated successfully.
201The "Recipient" node was created successfully.
404The "Recipient" node could not be found. Ensure that the required parameters such as "campaignId" or "recipientListIds" are correct and the "Recipients" node exists.
curl --request POST \
--url https://api.campaign.episerver.net/rest/{clientId}/confirmations/{confirmationMailId}/recipientLists \
--header 'accept: application/json' \
--header 'content-type: application/x-www-form-urlencoded' \
--data 'recipientListIds=array'